package pt.uc.dei.wsdbench.sut.benchmark;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;

import pt.uc.dei.wsdbench.sut.domain.schema.helper.Helper;
import pt.uc.dei.wsdbench.sut.service.input.ChangePaymentMethodInput;

public class TesterChangePaymentMethod
{
    public static void main(String[] args) throws IOException
    {
	ChangePaymentMethodInput input = new ChangePaymentMethodInput();
	input.setPaymentMethod("PO");
	input.setCustomerId(10L);
	input.setCreditInfo("aaaaaaaaaaaaaaaaaaaafaaaaaaaaaaaaaaaaaaaa");
	input.setPoId("8");
	input.setThreadId(3l);
	Object[] args1 = new Object[]
	{ input };

	FileWriter file = new FileWriter("c:\\dsn2009\\benchmark\\ChangePaymentMethod.txt");
	BufferedWriter writer = new BufferedWriter(file);

	int j = 0;
	for (int i = 0; i < 10000; i++)
	{
	    long start = System.nanoTime();
	    Helper.finalValidation(args1);
	    long end = System.nanoTime();
	    writer.write(NumberTools.format(((end - start) / 1000000.0)) + "\n");
	    writer.flush();
	    System.gc();
	    if ((i % 1000) == 0)
	    {
		System.out.println(j++);
	    }
	}

	writer.close();

    }
}
