package pt.uc.dei.wsdbench.sut.benchmark;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;

import pt.uc.dei.wsdbench.sut.domain.schema.helper.Helper;
import pt.uc.dei.wsdbench.sut.service.input.NewProductsInput;

public class TesterNewProducts
{
    public static void main(String[] args) throws IOException
    {
	NewProductsInput input = new NewProductsInput();

	input.setCutOffDuration(5L);
	input.setItemLimit(5L);
	input.setSubjectString("ARTS");

	Object[] args1 = new Object[]
	{ input };

	FileWriter file = new FileWriter("c:\\dsn2009\\benchmark\\NewProducts.txt");
	BufferedWriter writer = new BufferedWriter(file);

	int j = 0;
	for (int i = 0; i < 10000; i++)
	{
	    long start = System.nanoTime();
	    Helper.finalValidation(args1);
	    long end = System.nanoTime();
	    writer.write(NumberTools.format(((end - start) / 1000000.0)) + "\n");
	    writer.flush();
	    System.gc();
	    if ((i % 1000) == 0)
	    {
		System.out.println(j++);
	    }
	}

	writer.close();

    }
}
