package pt.uc.dei.wsdbench.sut.dao.rowmapper;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.simple.ParameterizedRowMapper;

import pt.uc.dei.wsdbench.sut.service.output.NewProduct;

public class NewProductRowmapper implements ParameterizedRowMapper<NewProduct>
{

    public NewProduct mapRow(ResultSet rs, int arg1) throws SQLException
    {
	NewProduct result = new NewProduct();

	result.setItemId(rs.getLong("I_ID"));
	result.setItemTitle(rs.getString("I_TITLE"));
	result.setAuthorFName(rs.getString("A_FNAME"));
	result.setAuthorLName(rs.getString("A_LNAME"));

	return result;
    }

}
