package pt.uc.dei.wsdbench.sut.domain.schema.base;

import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

public class StringValueWrapper
{
    @XStreamAsAttribute
    protected String value;

    public StringValueWrapper()
    {
	// empty
    }

    public StringValueWrapper(String str)
    {
	this.value = str;
    }

    @Override
    public String toString()
    {
	return String.valueOf(value);
    }
    
    public String getValue()
    {
	return value;
    }

    public void setValue(String value)
    {
	this.value = value;
    }

}
