package pt.uc.dei.wsdbench.sut.domain.schema.helper;

import java.util.List;

import pt.uc.dei.wsdbench.sut.domain.schema.restriction.Restriction;
import pt.uc.dei.wsdbench.sut.domain.schema.robustness.Function;


public class FunctionValuesAndRestrictions
{
    private Function function;

    private List<Object> valueList;

    private List<Restriction> restrictionList;

    public FunctionValuesAndRestrictions(Function function, List<Object> valueList, List<Restriction> restrictionList)
    {
	this.function = function;
	this.valueList = valueList;
	this.restrictionList = restrictionList;
    }

    public Function getFunction()
    {
	return function;
    }

    public void setFunction(Function function)
    {
	this.function = function;
    }

    public List<Object> getValueList()
    {
	return valueList;
    }

    public void setValueList(List<Object> valueList)
    {
	this.valueList = valueList;
    }

    public List<Restriction> getRestrictionList()
    {
	return restrictionList;
    }

    public void setRestrictionList(List<Restriction> restrictionList)
    {
	this.restrictionList = restrictionList;
    }
}
