package pt.uc.dei.wsdbench.sut.domain.schema.robustness;

import java.util.List;

import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import com.thoughtworks.xstream.annotations.XStreamImplicit;

public class Function
{

    @XStreamAsAttribute
    private String name;

    @XStreamAsAttribute
    private String strategy;

    @XStreamImplicit
    private List<Param> paramList;

    @Override
    public String toString()
    {
	return "(name = " + name + " strategy = " + strategy + " paramList = " + paramList + ")";
    }

    public String getName()
    {
	return name;
    }

    public void setName(String name)
    {
	this.name = name;
    }

    public String getStrategy()
    {
	return strategy;
    }

    public void setStrategy(String strategy)
    {
	this.strategy = strategy;
    }

    public List<Param> getParamList()
    {
	return paramList;
    }

    public void setParamList(List<Param> paramList)
    {
	this.paramList = paramList;
    }

}
