package pt.uc.dei.wsdbench.sut.domain.schema.robustness;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

@XStreamAlias("param")
public class Param
{
    // nmero do argumento (nmero do ndice do tipo complexo)
    @XStreamAsAttribute
    private Integer index;

    @XStreamAsAttribute
    private String name;

    @Override
    public String toString()
    {
	return "(param index: " + index + " param name: " + name + ")";
    }

    public String getName()
    {
	return name;
    }

    public void setName(String name)
    {
	this.name = name;
    }

    public Integer getIndex()
    {
	return index;
    }

    public void setIndex(Integer index)
    {
	this.index = index;
    }
}
