package pt.uc.dei.wsdbench.sut.domain.schema.type;

import java.util.ArrayList;
import java.util.List;

import pt.uc.dei.wsdbench.sut.domain.schema.robustness.Function;


import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;


@XStreamAlias("xs:element")
public class Element
{
    @XStreamAsAttribute
    private String name;

    @XStreamAsAttribute
    private String type;

    @XStreamAlias("xs:simpleType")
    private SimpleType simpleType;

    private List<Function> functionList = new ArrayList<Function>();

    public Element()
    {
	name = "aaaaa";
	type = "bbbbbb";
	// simpleType = new SimpleType();
    }

    public String getName()
    {
	return name;
    }

    public void setName(String name)
    {
	this.name = name;
    }

    public String getType()
    {
	return type;
    }

    public void setType(String type)
    {
	this.type = type;
    }

    public SimpleType getSimpleType()
    {
	return simpleType;
    }

    public void setSimpleType(SimpleType simpleType)
    {
	this.simpleType = simpleType;
    }

    public List<Function> getFunctionList()
    {
	return functionList;
    }

    public void setFunctionList(List<Function> functionList)
    {
	this.functionList = functionList;
    }

}
