package pt.uc.dei.wsdbench.sut.service;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

import pt.uc.dei.wsdbench.generic.component.spring.BeanFactory;
import pt.uc.dei.wsdbench.sut.service.delegate.IChangePaymentMethodServiceDelegate;
import pt.uc.dei.wsdbench.sut.service.input.ChangePaymentMethodInput;
import pt.uc.dei.wsdbench.sut.service.output.ChangePaymentMethodOutput;

@WebService
public class ChangePaymentMethod implements IChangePaymentMethodService {

    @WebMethod
    public ChangePaymentMethodOutput changePaymentMethod(
            @WebParam(targetNamespace = "http://service.sut.wsdbench.dei.uc.pt/", name = "input") ChangePaymentMethodInput input) throws Exception {
        ChangePaymentMethodOutput result = new ChangePaymentMethodOutput();
        IChangePaymentMethodServiceDelegate delegate = (IChangePaymentMethodServiceDelegate) BeanFactory.getBean("changePaymentMethodServiceDelegate");
        result = delegate.process(input);
        return result;
    }
}