package pt.uc.dei.wsdbench.sut.service;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

import pt.uc.dei.wsdbench.generic.component.spring.BeanFactory;
import pt.uc.dei.wsdbench.sut.service.delegate.INewProductsServiceDelegate;
import pt.uc.dei.wsdbench.sut.service.input.NewProductsInput;
import pt.uc.dei.wsdbench.sut.service.output.NewProductsOutput;

@WebService
public class NewProducts implements INewProductsService {

    @WebMethod
    public NewProductsOutput newProducts(
            @WebParam(targetNamespace = "http://service.sut.wsdbench.dei.uc.pt/", name = "input") NewProductsInput input) throws Exception {
        NewProductsOutput result = new NewProductsOutput();
        INewProductsServiceDelegate delegate = (INewProductsServiceDelegate) BeanFactory.getBean("newProductsServiceDelegate");
        result = delegate.process(input);
        return result;
    }
}