package pt.uc.dei.wsdbench.sut.service;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

import pt.uc.dei.wsdbench.generic.component.spring.BeanFactory;
import pt.uc.dei.wsdbench.sut.service.delegate.IProductDetailServiceDelegate;
import pt.uc.dei.wsdbench.sut.service.input.ProductDetailInput;
import pt.uc.dei.wsdbench.sut.service.output.ProductDetailOutput;

@WebService
public class ProductDetail implements IProductDetailService {

    @WebMethod
    public ProductDetailOutput productDetail(
            @WebParam(targetNamespace = "http://service.sut.wsdbench.dei.uc.pt/", name = "input") ProductDetailInput input) throws Exception {
        ProductDetailOutput result = new ProductDetailOutput();
        IProductDetailServiceDelegate delegate = (IProductDetailServiceDelegate) BeanFactory.getBean("productDetailServiceDelegate");
        result = delegate.process(input);
        return result;
    }
}