package pt.uc.dei.wsdbench.sut.service.validator;

import org.apache.commons.validator.ValidatorException;

import pt.uc.dei.wsdbench.sut.dao.tpcapp.ChangePaymentMethodDao;
import pt.uc.dei.wsdbench.sut.service.input.ChangePaymentMethodInput;

public class ChangePaymentMethodServiceValidator {
	GenericValidator genericValidator;

	ChangePaymentMethodDao changePaymentMethodDao;

	public void validate(ChangePaymentMethodInput input)
			throws ValidatorException {
		genericValidator.validateFields(input);

		/*
		 * Unnecessary try { this.changePaymentMethodDao
		 * .isValidCustomerId(input.getCustomerId()); } catch (SQLException e) {
		 * throw new ValidatorException("Error retrievinc C_ID:" +
		 * input.getCustomerId()); }
		 */
		this.genericValidator.validatePaymentMethod(input.getPaymentMethod());
		this.genericValidator.validateAString(40, 300, "creditInfo", input.getCreditInfo());
		this.genericValidator.validateNString(1, 1000000, "poId", input.getPoId());
	}

	public void setChangePaymentMethodDao(
			ChangePaymentMethodDao changePaymentMethodDao) {
		this.changePaymentMethodDao = changePaymentMethodDao;
	}

	public void setGenericValidator(GenericValidator genericValidator) {
		this.genericValidator = genericValidator;
	}

}
