package pt.uc.dei.wsst.services.phonedir;

import static pt.uc.dei.wsst.services.Util.*;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

/**
 * Ready to test:
 * - NPE checked
 * - Domains defined
 *
 *
 * @author $Author: $
 */
@WebService
public class PhoneDir {

    static Connection conNext;
    static ResultSet rsNext;

    @WebMethod(operationName = "firstNameWithIt")
    public String[] firstNameWithIt(
            @WebParam(targetNamespace = "http://phonedir.services.wsst.dei.uc.pt/", name = "nam") String nam) {
        Connection con = null;
        try {
            con = getOdbcConnection("phonedir");
            Statement st1 = con.createStatement();
            ResultSet rs = st1.executeQuery("Select * from dir1 where UserName Like '" + nam + "%'");
            rs.next();
            String[] ret = new String[]{rs.getString("PhoneN"), rs.getString("UserName")};
            close(con);
            return ret;
        } catch (Exception e2) {
            close(con);
            return new String[]{"No Such UserName Found : " + nam};
        }
    }

    @WebMethod(operationName = "addNewRecord")
    public String addNewRecord(
            @WebParam(targetNamespace = "http://phonedir.services.wsst.dei.uc.pt/", name = "nam") String nam,
            @WebParam(targetNamespace = "http://phonedir.services.wsst.dei.uc.pt/", name = "num") String num) {
        Connection con = null;
        try {
            con = getOdbcConnection("phonedir");
            Statement st2 = con.createStatement();
            String query = "insert into dir1 values('" + num + "','" + nam + "')";
            st2.executeUpdate(query);
            st2.close();
            close(con);
            return "Added new RECORD to the DataBase";
        } catch (Exception e2) {
            close(con);
            return "Check that fields are not empty.";
        }
    }

    @WebMethod(operationName = "getNextRecord")
    public String[] getNextRecord() {
        checkAndInit();
        try {
            if (rsNext.next() == true) {
                return new String[]{rsNext.getString("PhoneN"), rsNext.getString("UserName")};
            } else {
                rsNext = conNext.createStatement().executeQuery("Select * from dir1");
                rsNext.next();
                return new String[]{rsNext.getString("PhoneN"), rsNext.getString("UserName")};
            }
        } catch (Exception e2) {
            return new String[]{"Error in Viewing : " + e2};
        }
    }

    @WebMethod(operationName = "modify")
    public String modify(
            @WebParam(targetNamespace = "http://phonedir.services.wsst.dei.uc.pt/", name = "nam") String nam,
            @WebParam(targetNamespace = "http://phonedir.services.wsst.dei.uc.pt/", name = "num") String num) {
        Connection con = null;
        try {
            con = getOdbcConnection("phonedir");
            Statement st2 = con.createStatement();
            st2 = con.createStatement();
            String ss = "update dir1 set PhoneN='" + num + "', UserName='" + nam + "' where UserName='" + nam + "' OR PhoneN='" + num + "'";
            st2.executeUpdate(ss);
            st2.close();
            close(con);
            return "Modify RECORD of the DataBase";
        } catch (Exception e2) {
            close(con);
            return "Error in MODIFY : " + e2;
        }
    }

    @WebMethod(operationName = "delete")
    public String delete(
            @WebParam(targetNamespace = "http://phonedir.services.wsst.dei.uc.pt/", name = "username") String username) {
        Connection con = null;
        try {
            con = getOdbcConnection("phonedir");
            Statement st2 = con.createStatement();
            String ss = "delete from dir1 where UserName='" + username + "'";
            st2.executeUpdate(ss);
            st2.close();
            close(con);
            return "Delete RECORD from the DataBase" + " : " + ss;
        } catch (Exception e2) {
            close(con);
            return "Error in DELETE : " + e2;
        }
    }

    private void checkAndInit() {
        synchronized (PhoneDir.class) {
            if (conNext == null) {
                try {
                    conNext = getOdbcConnection("phonedir");
                } catch (Exception ex) {
                }
            }
            if (rsNext == null) {
                try {
                    rsNext = conNext.createStatement().executeQuery("Select * from dir1");
                } catch (Exception ex) {
                }
            }
        }
    }
}