package spring;

import javax.servlet.ServletContextEvent;

import org.springframework.context.support.AbstractApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.web.context.ContextLoaderListener;
import org.springframework.web.context.support.WebApplicationContextUtils;

import pt.uc.dei.wsdbench.generic.component.spring.ApplicationContextHolder;

public class SpringLoaderHelper extends ContextLoaderListener {

    public void contextInitialized(ServletContextEvent event) {
        super.contextInitialized(event);
        ApplicationContextHolder.setApplicationContext(WebApplicationContextUtils.getRequiredWebApplicationContext(event.getServletContext()));
    }

    public static void test() {
        AbstractApplicationContext appContext = new ClassPathXmlApplicationContext("applicationContext.xml");
        pt.uc.dei.wsdbench.generic.component.spring.ApplicationContextHolder.setApplicationContext(appContext);

    }
}
