package pt.uc.dei.wsdbench.sut.benchmark;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;

import pt.uc.dei.wsdbench.sut.domain.schema.helper.Helper;
import pt.uc.dei.wsdbench.sut.service.input.NewCustomerInput;

public class TesterNewCostumer
{
    public static void main(String[] args) throws IOException
    {
	NewCustomerInput input = new NewCustomerInput();
	input.setBillingAddr1("aaaaafaaaaaaaage");
	input.setBillingAddr2("aaaaaaaaaaaaaaaa");
	input.setBillingCity("aaaaa");
	input.setBillingCountry("Portugal");
	input.setBillingState("aaa");
	input.setBillingZip("aaaaaa");
	input.setBusinessInfo("aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa");
	input.setBusinessName("aaaaaaaaaaaaaaaa");
	input.setContactEmail("aaaaaaaaa@aaaaaaaaaaaaaaaa.com");
	input.setContactFName("aaaaaaaaa");
	input.setContactLName("aaaaaaaaa");
	input.setContactPhone("1111111111");
	input.setCreditInfo("aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa");
	input.setPassword("aaaaaaaaaaaaaaaa");
	input.setPaymentMethod("PO");
	input.setPoId(10L);
	input.setThreadId(5L);

	Object[] args1 = new Object[]
	{ input };

	FileWriter file = new FileWriter("c:\\dsn2009\\benchmark\\NewCustomer.txt");
	BufferedWriter writer = new BufferedWriter(file);

	int j = 0;
	for (int i = 0; i < 10000; i++)
	{
	    long start = System.nanoTime();
	    Helper.finalValidation(args1);
	    long end = System.nanoTime();	
	    writer.write(NumberTools.format(((end - start) / 1000000.0)) + "\n");
	    writer.flush();
	    System.gc();
	    if ((i % 1000) == 0)
	    {
		System.out.println(j++);
	    }
	}

	writer.close();

    }
}
