package pt.uc.dei.wsdbench.sut.dao.tpcapp;

import java.sql.SQLException;
import java.util.List;

import org.springframework.jdbc.core.simple.SimpleJdbcTemplate;
import org.springframework.util.StringUtils;

import pt.uc.dei.wsdbench.sut.dao.rowmapper.ProductDetailRowmapper;
import pt.uc.dei.wsdbench.sut.service.output.ProductDetailPojo;

public class ProductDetailDao
{
    private SimpleJdbcTemplate simpleJdbcTemplate;

    public List<ProductDetailPojo> findItemsById(List itemIds) throws SQLException
    {
	List<ProductDetailPojo> result;
	String sqlIds = StringUtils.collectionToCommaDelimitedString(itemIds);
	String sql = "SELECT * FROM ITEM I, AUTHOR A" + " WHERE I.I_A_ID = A.A_ID" + " AND I.I_ID IN (" + sqlIds + ")";

	result = this.simpleJdbcTemplate.query(sql, new ProductDetailRowmapper());

	return result;
    }

    public void setSimpleJdbcTemplate(SimpleJdbcTemplate simpleJdbcTemplate)
    {
	this.simpleJdbcTemplate = simpleJdbcTemplate;
    }
}
