package pt.uc.dei.wsdbench.sut.domain.schema.type;

import java.util.ArrayList;
import java.util.List;

import pt.uc.dei.wsdbench.sut.domain.schema.annotation.Annotation;


import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;


@XStreamAlias("xs:complexType")
public class ComplexType
{
    @XStreamAlias("xs:annotation")
    private Annotation annotation = new Annotation();

    @XStreamAsAttribute
    private String name = "arghhhhh";

    @XStreamAsAttribute
    private String type = "arghhhhh";

    @XStreamAsAttribute
    private Integer minOccurs = 0;

    @XStreamAlias("xs:sequence")
    private List<Element> sequence = new ArrayList<Element>();

    public ComplexType()
    {
	Element el = new Element();
	sequence.add(el);
	sequence.add(el);
    }

    public String getName()
    {
	return name;
    }

    public void setName(String name)
    {
	this.name = name;
    }

    public List<Element> getSequence()
    {
	return sequence;
    }

    public void setSequence(List<Element> sequence)
    {
	this.sequence = sequence;
    }

    public Annotation getAnnotation()
    {
	return annotation;
    }

    public void setAnnotation(Annotation annotation)
    {
	this.annotation = annotation;
    }

    public String getType()
    {
	return type;
    }

    public void setType(String type)
    {
	this.type = type;
    }

    public Integer getMinOccurs()
    {
	return minOccurs;
    }

    public void setMinOccurs(Integer minOccurs)
    {
	this.minOccurs = minOccurs;
    }
}
