package pt.uc.dei.wsdbench.sut.service;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

import pt.uc.dei.wsdbench.generic.component.spring.BeanFactory;
import pt.uc.dei.wsdbench.sut.service.delegate.INewCustomerServiceDelegate;
import pt.uc.dei.wsdbench.sut.service.input.NewCustomerInput;
import pt.uc.dei.wsdbench.sut.service.output.NewCustomerOutput;

@WebService
public class NewCustomer implements INewCustomerService {

    @WebMethod
    public NewCustomerOutput newCustomer(
            @WebParam(name = "input", targetNamespace = "http://service.sut.wsdbench.dei.uc.pt/") NewCustomerInput input)
            throws Exception {
        NewCustomerOutput result = new NewCustomerOutput();
        INewCustomerServiceDelegate delegate = (INewCustomerServiceDelegate) BeanFactory.getBean("newCustomerServiceDelegate");
        result = delegate.process(input);
        return result;
    }
}