package pt.uc.dei.wsst.gbt;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.IOException;

/**
 *
 * @author Nuno Antunes
 */
public abstract class Util {

    private static final String service = "Output_";
    private static final String cfile = "C:\\cvis-ws\\learn";
    private static final String output = "C:\\cvis-ws\\output\\";
    //
    private static FileOutputStream vulne;
    private static FileOutputStream fos;
    private static FileOutputStream trace;

    public static boolean isTraining() {
        try {
            BufferedReader br = new BufferedReader(new FileReader(cfile));
            String line = br.readLine().trim();
            trace("line" + line);
            boolean isTainning = line.equals("true");
            trace("isTainning" + isTainning);
            return isTainning;
        } catch (IOException e) {
            trace("IOException");
            trace(e.toString());
            return false;
        }
    }

    public static void vulne(String logItem) {
        String log = logItem + "\n";
        synchronized (service) {
            if (vulne == null) {
                try {
                    vulne = new FileOutputStream(output + service + Long.toString(System.currentTimeMillis()).substring(7) + "_V_" + ".txt");
                } catch (FileNotFoundException e) {
                    System.out.println("FileNotFoundException" + e);
                }
            }
            if (vulne != null) {
                try {
                    vulne.write(log.getBytes());
                } catch (IOException e) {
                    System.out.println("IOException" + e);
                }
                logar(logItem);
            } else {
                System.out.println("Cannot Write... fos == null!!!");
            }
        }
    }

    public static void trace(String logItem) {
        String log = logItem + "\n";
        synchronized (service) {
            if (trace == null) {
                try {
                    trace = new FileOutputStream(output + service + Long.toString(System.currentTimeMillis()).substring(7) + "_T_" + ".txt");
                } catch (FileNotFoundException e) {
                    System.out.println("Cannot trace... " + e);
                }
            }
            if (trace != null) {
                try {
                    trace.write(log.getBytes());
                } catch (IOException e) {
                    System.out.println("Cannot trace" + e);
                }
            } else {
                System.out.println("Cannot trace... !!!");
            }
        }
    }

    public static void logar(String logItem) {
        String log = logItem + "\n";
        synchronized (service) {
            if (fos == null) {
                try {
                    fos = new FileOutputStream(output + service + Long.toString(System.currentTimeMillis()).substring(7) + "_L_" + ".txt");
                } catch (FileNotFoundException e) {
                    System.out.println("FileNotFoundException" + e);
                }
            }
            if (fos != null) {
                System.out.println(log);
                try {
                    fos.write(log.getBytes());
                } catch (IOException e) {
                    System.out.println("IOException" + e);
                    System.out.println("Cannot Write...");
                }
                trace(logItem);
            } else {
                System.out.println("Cannot Write... fos == null!!!");
            }
        }
    }

    private Util() {
    }
}
